package com.yeejoin.amos.fas.business.service.model;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;


@Entity
@Table(name = "toip_rm_snapshot")
public class RuleRuningSnapshot  implements Serializable {



    private static final long serialVersionUID = 292329658525267887L;

    @Id
   private String   id ;

    @Column(name = "batch_no")
    private String  batchNo ;// '规则执行的批次号',

    @Column(name = "package_id")
    private String  packageId  ;//  '规则包id',

    @Column(name = "method_class")
    private String  methodClass  ;//  'bean方法的类名',

    @Column(name = "method_name")
    private String  methodName  ;//  'bean方法名',

    @Column(name = "equipment_id")
    private String   equipmentId ;//  '设备类型',

    @Column(name = "method_param")
    private String  methodParam ;// 方法参数',

    @Column(name = "create_time")
    private Date createTime ;// 创建时间',

    @Column(name = "create_millisecond")
    private String    createMillisecond  ;// 当前动作执行时的毫秒数',

    @Column(name = "previous_interval")
    private Long   previousInterval ;// 与上一次的动作执行的时间差',


    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getBatchNo() {
        return batchNo;
    }

    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    public String getPackageId() {
        return packageId;
    }

    public void setPackageId(String packageId) {
        this.packageId = packageId;
    }

    public String getMethodClass() {
        return methodClass;
    }

    public void setMethodClass(String methodClass) {
        this.methodClass = methodClass;
    }

    public String getMethodName() {
        return methodName;
    }

    public void setMethodName(String methodName) {
        this.methodName = methodName;
    }

    public String getEquipmentId() {
        return equipmentId;
    }

    public void   setEquipmentId(String equipmentId) {
        this.equipmentId = equipmentId;
    }

    public String getMethodParam() {
        return methodParam;
    }

    public void setMethodParam(String methodParam) {
        this.methodParam = methodParam;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String  getCreateMillisecond() {
        return createMillisecond;
    }

    public void setCreateMillisecond(String createMillisecond) {
        this.createMillisecond = createMillisecond;
    }

    public Long getPreviousInterval() {
        return previousInterval;
    }

    public void setPreviousInterval(Long previousInterval) {
        this.previousInterval = previousInterval;
    }
}
